zmedico 08/06/14 16:54:53
Modified: ppp-2.4.4-r14.ebuild ppp-2.4.4-r15.ebuild ChangeLog
Log:
Bug #226505 - For compatibility with phase execution order in
>=portage-2.1.5, call has_version inside pkg_preinst instead of
pkg_postinst.
(Portage version: 2.2_pre10652/cvs/Linux 2.6.25-0518-x86-64 i686)
Revision Changes Path
1.4 net-dialup/ppp/ppp-2.4.4-r14.ebuild
file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-dialup/ppp/ppp-2.4.4-r14.ebuild?rev=1.4&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-dialup/ppp/ppp-2.4.4-r14.ebuild?rev=1.4&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-dialup/ppp/ppp-2.4.4-r14.ebuild?r1=1.3&r2=1.4
Index: ppp-2.4.4-r14.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-dialup/ppp/ppp-2.4.4-r14.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- ppp-2.4.4-r14.ebuild 31 Mar 2008 04:38:30 -0000 1.3
+++ ppp-2.4.4-r14.ebuild 14 Jun 2008 16:54:53 -0000 1.4
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-dialup/ppp/ppp-2.4.4-r14.ebuild,v 1.3 2008/03/31 04:38:30 ricmm Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-dialup/ppp/ppp-2.4.4-r14.ebuild,v 1.4 2008/06/14 16:54:53 zmedico Exp $
inherit eutils flag-o-matic toolchain-funcs linux-info pam
@@ -132,7 +132,11 @@
}
pkg_preinst() {
- if use radius && [ -d "${ROOT}/etc/radiusclient" ] && has_version "<${CATEGORY}/${PN}-2.4.3-r5"; then
+ has_version "<${CATEGORY}/${PN}-2.4.3-r5"
+ previous_less_than_2_4_3_r5=$?
+
+ if use radius && [ -d "${ROOT}/etc/radiusclient" ] && \
+ [[ $previous_less_than_2_4_3_r5 = 0 ]] ; then
ebegin "Copy /etc/radiusclient to /etc/ppp/radius"
cp -pPR "${ROOT}/etc/radiusclient" "${ROOT}/etc/ppp/radius"
eend $?
@@ -281,7 +285,7 @@
# lib name has changed
sed -i -e "s:^pppoe.so:rp-pppoe.so:" "${ROOT}/etc/ppp/options"
- if use radius && has_version "<${CATEGORY}/${PN}-2.4.3-r5"; then
+ if use radius && [[ $previous_less_than_2_4_3_r5 = 0 ]] ; then
echo
ewarn "As of ${PN}-2.4.3-r5, the RADIUS configuration files have moved from"
ewarn " /etc/radiusclient to /etc/ppp/radius."
1.3 net-dialup/ppp/ppp-2.4.4-r15.ebuild
file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-dialup/ppp/ppp-2.4.4-r15.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-dialup/ppp/ppp-2.4.4-r15.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-dialup/ppp/ppp-2.4.4-r15.ebuild?r1=1.2&r2=1.3
Index: ppp-2.4.4-r15.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-dialup/ppp/ppp-2.4.4-r15.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- ppp-2.4.4-r15.ebuild 14 May 2008 22:05:03 -0000 1.2
+++ ppp-2.4.4-r15.ebuild 14 Jun 2008 16:54:53 -0000 1.3
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-dialup/ppp/ppp-2.4.4-r15.ebuild,v 1.2 2008/05/14 22:05:03 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-dialup/ppp/ppp-2.4.4-r15.ebuild,v 1.3 2008/06/14 16:54:53 zmedico Exp $
inherit eutils flag-o-matic toolchain-funcs linux-info pam
@@ -133,7 +133,11 @@
}
pkg_preinst() {
- if use radius && [ -d "${ROOT}/etc/radiusclient" ] && has_version "<${CATEGORY}/${PN}-2.4.3-r5"; then
+ has_version "<${CATEGORY}/${PN}-2.4.3-r5"
+ previous_less_than_2_4_3_r5=$?
+
+ if use radius && [ -d "${ROOT}/etc/radiusclient" ] && \
+ [[ $previous_less_than_2_4_3_r5 = 0 ]] ; then
ebegin "Copy /etc/radiusclient to /etc/ppp/radius"
cp -pPR "${ROOT}/etc/radiusclient" "${ROOT}/etc/ppp/radius"
eend $?
@@ -282,7 +286,7 @@
# lib name has changed
sed -i -e "s:^pppoe.so:rp-pppoe.so:" "${ROOT}/etc/ppp/options"
- if use radius && has_version "<${CATEGORY}/${PN}-2.4.3-r5"; then
+ if use radius && [[ $previous_less_than_2_4_3_r5 = 0 ]] ; then
echo
ewarn "As of ${PN}-2.4.3-r5, the RADIUS configuration files have moved from"
ewarn " /etc/radiusclient to /etc/ppp/radius."
1.212 net-dialup/ppp/ChangeLog
file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-dialup/ppp/ChangeLog?rev=1.212&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-dialup/ppp/ChangeLog?rev=1.212&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-dialup/ppp/ChangeLog?r1=1.211&r2=1.212
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-dialup/ppp/ChangeLog,v
retrieving revision 1.211
retrieving revision 1.212
diff -u -r1.211 -r1.212
--- ChangeLog 14 May 2008 22:05:03 -0000 1.211
+++ ChangeLog 14 Jun 2008 16:54:53 -0000 1.212
@@ -1,6 +1,12 @@
# ChangeLog for net-dialup/ppp
# Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-dialup/ppp/ChangeLog,v 1.211 2008/05/14 22:05:03 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-dialup/ppp/ChangeLog,v 1.212 2008/06/14 16:54:53 zmedico Exp $
+
+ 14 Jun 2008; Zac Medico <zmedico@g.o> ppp-2.4.4-r14.ebuild,
+ ppp-2.4.4-r15.ebuild:
+ Bug #226505 - For compatibility with phase execution order in
+ >=portage-2.1.5, call has_version inside pkg_preinst instead of
+ pkg_postinst.
14 May 2008; Diego Pettenò <flameeyes@g.o> ppp-2.4.4-r15.ebuild:
Depend on virtual/pam as the code builds fine with OpenPAM.
--
gentoo-commits@g.o mailing list
|